| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions | List of all members
Tp::ContactAttributesMap Struct Reference
Mapping types

`#include <TelepathyQt/Types>`

Inherits QMap< uint, QVariantMap >.

## Public Member Functions

| ContactAttributesMap ()
| ContactAttributesMap (const QMap< uint, QVariantMap > &a)
ContactAttributesMap & | operator= (const QMap< uint, QVariantMap > &a)

## Detailed Description

Mapping type generated from the specification. Convertible with QMap<uint, QVariantMap>, but needed to have a discrete type in the Qt type system.

Mapping returned by GetContactAttributes, representing a collection of Contacts and their requested attributes.

## Constructor & Destructor Documentation

Tp::ContactAttributesMap::ContactAttributesMap | ( |  | ) |

inline

Tp::ContactAttributesMap::ContactAttributesMap | ( | const QMap< uint, QVariantMap > & | a | ) |

inline

## Member Function Documentation

ContactAttributesMap& Tp::ContactAttributesMap::operator= | ( | const QMap< uint, QVariantMap > & | a | ) |

inline